RosettaConstructionParseResponse contains an array of operations that occur in a transaction blob. This should match the array of operations provided to /construction/preprocess and /construction/payloads.

export
interface

  RosettaConstructionParseResponse

### Hierarchy

- RosettaConstructionParseResponse

## Index

### Properties

- account_identifier_signers
- metadata
- operations
- signers

## Properties

### Optional account_identifier_signers

account_identifier_signers: RosettaAccountIdentifier []

- Defined in src/generated/models/RosettaConstructionParseResponse.ts:50

memberof

  RosettaConstructionParseResponse

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaConstructionParseResponse.ts:56

memberof

  RosettaConstructionParseResponse

### operations

operations: RosettaOperation []

- Defined in src/generated/models/RosettaConstructionParseResponse.ts:38

memberof

  RosettaConstructionParseResponse

### Optional signers

signers: string[]

- Defined in src/generated/models/RosettaConstructionParseResponse.ts:44

[DEPRECATED by account_identifier_signers in v1.4.4] All signers (addresses) of a particular transaction. If the transaction is unsigned, it should be empty.

memberof

  RosettaConstructionParseResponse

Generated using TypeDoc